Subject: Re: bug#78285: 31.0.50; load-prefer-newer causes recursive load on Windows

From: Gary Oberbrunner <[email-masked]>
Date: Wed, 7 May 2025 08:20:36 -0400

> As can be seen from the above, your configuration loads
> elpaca-bootstrap.el, whose contents you haven''t shown.  Then Emacs
> loads loaddefs-gen.elc, which wants to load radix-tree.elc, but
> instead loads radix-tree.el.gz for some reason.

Actually I gave a minimal one-line repro case without elpaca. Just create
init.el with this:

>   (setq load-prefer-newer t)

and then check the *Messages* buffer.

I did report this issue to the packager (kiennq) who suggested I also raise
an issue here.

-- 
Gary